Skip to content

Get Recent Events

GET
/api/events/dispatcher/recent

Return recent events from the in-memory history, optionally filtered.

count
Count

Maximum events to return (newest last)

integer
default: 50 >= 1 <= 1000

Maximum events to return (newest last)

topic_pattern
Any of:
string

Wildcard topic filter, e.g. ‘agent.*’

source
Any of:
string

Exact source filter — no wildcards

Successful Response

RecentEventsResponse

GET /events/dispatcher/recent response.

object
events
required
Events
Array<object>
EventItem

One event as surfaced through the admin routes.

object
topic
required
Topic
string
data
required
Data
object
key
additional properties
any
priority
required
Priority
string
timestamp
required
Timestamp
string
source
required
Source
string
eventId
required
Eventid
string
total
required
Total
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object